Subject: Re: [BUG] Destructive access to an "objects/info/alternates" repository

From: Stefan Monnier <[email-masked]>
Date: Mon, 28 Dec 2020 15:17:01 -0500

>>>     git clone --reference ~otheruser/nongnu
>>
>> This doesn't appear to be a proper command, because it's missing actual
>> repository to clone, only the repository to use as reference. This is the
>> proper usage of --reference:
>>
>> git clone --reference ~/some/repo https://some/remote/repo.git
>
> Indeed, thanks:
>
> git clone --reference ~otheruser/nongnu https://git.savannah.gnu.org/r/emacs/nongnu.git
>
>> Without knowing exactly what you did, it's hard to tell what went wrong. You
>> can try running "find nongnu" to see if what you think is your own checkout is
>> actually a symlink or some combination thereof.
>
> Not sure what you mean by that.
>
> In any case, I just reproduced the problem:

FWIW, I just tried it with

    git clone --shared ~otheruser/nongnu

and got the same result.
I also tried with another repository, still with the same result (tho
different pack.idx names, of course).

        Stefan